package com.cronos.admin.services;

public class ConfigurationCCBean {

	private String path = "/cronoscontrol";
	private String docBase;
	private String workDir;
	private int maxActiveSessions;
	private boolean reloadable;
	private DatabaseEngineConnInfo databaseEngineConnInfoSQLServer;
	private DatabaseEngineConnInfo databaseEngineConnInfoPostgres;
	private DatabaseEngineConnInfo databaseEngineConnInfoOracle;

	public boolean isReloadable() {
		return reloadable;
	}

	public void setReloadable(boolean reloadable) {
		this.reloadable = reloadable;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getDocBase() {
		return docBase;
	}

	public void setDocBase(String docBase) {
		this.docBase = docBase;
	}

	public String getWorkDir() {
		return workDir;
	}

	public void setWorkDir(String workDir) {
		this.workDir = workDir;
	}

	public int getMaxActiveSessions() {
		return maxActiveSessions;
	}

	public void setMaxActiveSessions(int maxActiveSessions) {
		this.maxActiveSessions = maxActiveSessions;
	}

	public DatabaseEngineConnInfo getDatabaseEngineConnInfoSQLServer() {
		return databaseEngineConnInfoSQLServer;
	}

	public void setDatabaseEngineConnInfoSQLServer(DatabaseEngineConnInfo databaseEngine) {
		this.databaseEngineConnInfoSQLServer = databaseEngine;
	}

	public DatabaseEngineConnInfo getDatabaseEngineConnInfoPostgres() {
		return databaseEngineConnInfoPostgres;
	}

	public void setDatabaseEngineConnInfoPostgres(DatabaseEngineConnInfo databaseEngine) {
		this.databaseEngineConnInfoPostgres = databaseEngine;
	}

	public DatabaseEngineConnInfo getDatabaseEngineConnInfoOracle() {
		return databaseEngineConnInfoOracle;
	}

	public void setDatabaseEngineConnInfoOracle(DatabaseEngineConnInfo databaseEngine) {
		this.databaseEngineConnInfoOracle = databaseEngine;
	}
}